# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3 rpm-macros-fedora-compat
# END SourceDeps(oneline)
%define oldname python-cement
%define fedora 19

%{!?pyver: %global pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

%if 0%{?fedora} > 12
%global with_python3 1
%else
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%endif

%global srcname cement
Name: python-module-cement
Version: 2.0.2
Release: alt2_2
Summary: CLI Application Framework for Python
Group: Development/Python
License: BSD 

URL: http://builtoncement.org
Source0: http://builtoncement.org/cement/2.0/source/%{srcname}-%{version}.tar.gz

#Patch1: py33-fixes.patch
Patch2: cement-2.0.2-tests.patch

BuildArch: noarch

BuildRequires: python-devel python-module-setuptools python-module-nose python-module-coverage

%if 0%{?with_python3}
BuildRequires: python3-devel python3-module-distribute python3-module-nose python3-module-coverage
%endif
Source44: import.info

%description
Cement is an advanced CLI Application Framework for Python. Its goal is to 
introduce a standard, and feature-full platform for both simple and complex 
command line applications as well as support rapid development needs without 
sacrificing quality.

%if 0%{?with_python3}
%package -n python3-module-cement
Summary: CLI Application Framework for Python 
Group: Development/Python

%description -n python3-module-cement
Cement is an advanced CLI Application Framework for Python. Its goal is to
introduce a standard, and feature-full platform for both simple and complex
command line applications as well as support rapid development needs without
sacrificing quality.
%endif

%prep
%setup -q -n cement-%{version}
#%%patch1 -p1
%patch2 -p1 -b .tests

%if 0%{?with_python3}
rm -rf %{_builddir}/python3-%{oldname}-%{version}-%{release}
cp -a . %{_builddir}/python3-%{oldname}-%{version}-%{release}
%endif # with_python3

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
popd
%endif # with_python3


%install

%{__python} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
    pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
        %{__python3} setup.py install --skip-build --root %{buildroot} 
    popd
%endif

# cleanup tests from sitelib
rm -rf %{buildroot}%{python_sitelibdir_noarch}/tests/

%if 0%{?with_python3}
rm -rf %{buildroot}%{python3_sitelibdir_noarch}/tests/
%endif


%files
%doc README.md LICENSE ChangeLog doc
%{python_sitelibdir_noarch}/%{srcname}*

%if 0%{?with_python3}
%files -n python3-module-cement
%doc README.md LICENSE ChangeLog doc
%{python3_sitelibdir_noarch}/%{srcname}*
%endif

%changelog
* Mon Apr 01 2013 Cronbuild Service <cronbuild@altlinux.org> 2.0.2-alt2_2
- rebuild to get rid of unmets

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.2-alt1_2
- update to new release by fcimport

* Wed Jan 02 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.2-alt1_1
- initial fc import

